List Batches
GET
https://x.kupe.in
/
v1
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
batches
List Batches
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/batches \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"agent_id": "<string>",
"telephony_account_id": "<string>",
"name": "<string>",
"status": "draft",
"max_concurrent_calls": 123,
"retry_policy": {
"max_retries": 0,
"retry_delay_seconds": 60,
"retryable_outcomes": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"schedule": {
"recurrence": "once",
"start_at": "2023-11-07T05:31:56Z",
"days_of_week": [
123
],
"day_of_month": 14,
"window_start": "<string>",
"window_end": "<string>",
"timezone": "UTC",
"limit_per_period": 2
},
"recipient_list_id": "<string>",
"created_by": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"hidden_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I
List Batches
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/batches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/batches \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"agent_id": "<string>",
"telephony_account_id": "<string>",
"name": "<string>",
"status": "draft",
"max_concurrent_calls": 123,
"retry_policy": {
"max_retries": 0,
"retry_delay_seconds": 60,
"retryable_outcomes": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"schedule": {
"recurrence": "once",
"start_at": "2023-11-07T05:31:56Z",
"days_of_week": [
123
],
"day_of_month": 14,
"window_start": "<string>",
"window_end": "<string>",
"timezone": "UTC",
"limit_per_period": 2
},
"recipient_list_id": "<string>",
"created_by": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"hidden_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
